user nginx;
pid /run/nginx.pid;
worker_processes 1;
error_log /dev/stderr warn;

events {
	worker_connections 1024;
}

http {
	include mime.types;
	default_type application/octet-stream;

	access_log off;
	server_tokens off;
	client_max_body_size 100m;
	sendfile on;
	tcp_nodelay on;
	send_timeout 300;

	server {
		listen 8080;

		location /eden {
			uwsgi_pass unix:///run/uwsgi;
			uwsgi_read_timeout 300s;
			uwsgi_send_timeout 300s;
			include uwsgi_params;
		}

		location ~* /eden/static {
			root /srv/web2py/applications;
			expires max;
		}

		location = / {
			return 301 https://$http_x_forwarded_host/eden/;
		}
	}
}
